/*
 * $Id: StreamingSenderState.java,v 1.2 2005-03-04 18:10:33 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.client;

import javax.xml.rpc.handler.HandlerChain;

import com.sun.xml.rpc.soap.message.InternalSOAPMessage;
import com.sun.xml.rpc.soap.message.SOAPMessageContext;

/**
 * <p> The internal state of an otherwise stateless StreamingSender. </p>
 *
 * @author JAX-RPC Development Team
 */
public class StreamingSenderState {

    public StreamingSenderState(
        SOAPMessageContext context,
        HandlerChain handlerChain) {
        _context = context;
        _context.setMessage(_context.createMessage());
        _handlerChain = handlerChain;
    }

    public SOAPMessageContext getMessageContext() {
        return _context;
    }

    public boolean isFailure() {
        return _context.isFailure();
    }

    public InternalSOAPMessage getRequest() {
        if (_request == null) {
            _request = new InternalSOAPMessage(_context.getMessage());
        }

        return _request;
    }

    public InternalSOAPMessage getResponse() {
        if (_response == null) {
            _response = new InternalSOAPMessage(_context.getMessage());
            _response.setOperationCode(getRequest().getOperationCode());
        }

        return _response;
    }

    public HandlerChain getHandlerChain() {
        return _handlerChain;
    }

    private SOAPMessageContext _context;
    private InternalSOAPMessage _request;
    private InternalSOAPMessage _response;
    private HandlerChain _handlerChain;
}
