/*
 * $Id: InternalTypeMappingRegistry.java,v 1.2 2005-03-04 18:10:38 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.encoding;

import javax.xml.namespace.QName;
import javax.xml.rpc.encoding.Deserializer;
import javax.xml.rpc.encoding.Serializer;

/**
 *
 * @author JAX-RPC Development Team
 */
public interface InternalTypeMappingRegistry {
    public Serializer getSerializer(
        String encoding,
        Class javaType,
        QName xmlType)
        throws Exception;
        
    public Serializer getSerializer(String encoding, Class javaType)
        throws Exception;
        
    public Serializer getSerializer(String encoding, QName xmlType)
        throws Exception;
        
    public Deserializer getDeserializer(
        String encoding,
        Class javaType,
        QName xmlType)
        throws Exception;
        
    public Deserializer getDeserializer(String encoding, QName xmlType)
        throws Exception;
        
    public Class getJavaType(String encoding, QName xmlType) throws Exception;
    public QName getXmlType(String encoding, Class javaType) throws Exception;
}