/*
 * $Id: ArrayType.java,v 1.2 2005-03-04 18:11:04 bbissett Exp $
 */

/*
 * Copyright 2004 Sun Microsystems, Inc. All rights reserved.
 * SUN PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

package com.sun.xml.rpc.processor.modeler.rmi;

/**
 * @author JAX-RPC Development Team
 */
public final class ArrayType extends RmiType {
    RmiType elemType;

    ArrayType(String typeSig, RmiType elemType) {
        super(TC_ARRAY, typeSig);
        this.elemType = elemType;
    }

    public RmiType getElementType() {
        return elemType;
    }

    public int getArrayDimension() {
        return elemType.getArrayDimension() + 1;
    }

    public String typeString(boolean abbrev) {
        String tmp = getElementType().typeString(abbrev) + BRACKETS;
        return tmp;
    }

    public boolean isNillable() {
        return true;
    }
}
